# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{ config, lib, pkgs, ... }:

let
  unstable = import <nixos-unstable> { config.allowUnfree = true; };
in {

  programs.sway = {
    enable = true;
    extraPackages = with pkgs; [
      bemenu
      brightnessctl
      grim
      i3status-rust
      kanshi
      mako
      slurp
      swayidle
      swaylock
      xwayland
    ];
  };

  environment = {
    etc = {
      "sway/config".source = ../dotfiles/sway/config;
      "sway/status.toml".source = ../dotfiles/sway/status.toml;
      "xdg/alacritty/alacritty.yml".source = ../dotfiles/alacritty.yml;
    };
  };

  sound.enable = true;
  hardware.pulseaudio.enable = true;

  fonts.enableDefaultFonts = true;
  fonts.fontconfig.antialias = true;
  fonts.fonts = with pkgs; [
    cascadia-code
    font-awesome
    noto-fonts
    noto-fonts-emoji
  ];

  environment.systemPackages = with pkgs; [
    # firefox also needs:
    #
    # gfx.webrenderer.enabled = true
    # widget.wayland-dmabuf-vaapi.enabled = true
    #
    # check in `about:support` that
    #  * Composing -> Webrenderer
    unstable.firefox-bin
    libva
    libva-utils
    mesa

    librsvg
    unstable.mypaint
    unstable.mypaint-brushes

    hicolor-icon-theme
    numix-icon-theme

    alacritty
    inkscape
    libsecret
    mumble
    neofetch
    pulseaudio
    pulsemixer
    unstable.keepassxc
    wl-clipboard
    (
      pkgs.writeTextFile {
        name = "startsway";
        destination = "/bin/startsway";
        executable = true;
        text = ''
          #! ${pkgs.bash}/bin/bash

          export _JAVA_AWT_WM_NOREPARENTING=1
          export MOZ_ENABLE_WAYLAND=1
          export QT_AUTO_SCREEN_SCALE_FACTOR=0
          export QT_WAYLAND_FORCE_DPI=96
          export QT_QPA_PLATFORM=wayland-egl
          export SDL_VIDEODRIVER=wayland
          exec ${pkgs.dbus}/bin/dbus-run-session ${pkgs.sway}/bin/sway
        '';
      }
    )
  ];

  services.syncthing = {
    enable = true;
    openDefaultPorts = true;
    user = "stefan";
    group = "users";
    dataDir = "/home/stefan";
  };

  services.printing.enable = true;

  hardware.opengl =  {
    enable = true;
  };
}
